<div class="container d-flex flex-column justify-content-around align-item-center p-4">

    <h1>2 - Les directives : </h1>

    <br>
    <br>
    <h4>Les directures structurelles : </h4>
    <br>
    <div>
        <h5><u>NgIf</u></h5>
        <br>
        <div>
            <div class="mb-4 alert alert-light shadow">
                <p *ngIf="isVisible===true">Je suis là</p>
                <p *ngIf="isVisible===false">Je suis encore là</p>
                <p *ngIf="compteur==5">Arrête ça fait {{compteur}} fois là !!!</p>
            </div>
            <br>
            <div class="mb-4 alert alert-secondary shadow">
                <div *ngIf="isValid;then content else other_content">C'est ignoré</div>
                <ng-template #content>Un contenu ici...</ng-template>
                <ng-template #other_content>Un autre contenu là...</ng-template>
            </div>
            <br>
            <ng-template [ngIf]="isLoggedIn" [ngIfElse]="loggedOut">
                <div class="alert alert-info shadow">
                    Hello, les amis.
                </div>
            </ng-template>

            <ng-template #loggedOut>
                <div class="alert alert-success shadow">
                    Merci de vous, logger.
                </div>
            </ng-template>
            <br>
            <br>
            <button class="btn btn-info" (click)="changement()">Validation</button>
        </div>
        <br>
        <br>
        <h5><u>NgSwitch</u></h5>
        <br>
        <div>
            <ul [ngSwitch]="person">
                <li *ngSwitchCase="'Marco'">Hello {{person}}</li>
                <li *ngSwitchCase="'Michel'">Hello {{person}}</li>
                <li *ngSwitchCase="'Alain'">Hello {{person}}</li>
                <li *ngSwitchCase="'Pierre'">Hello {{person}}</li>
                <li *ngSwitchCase="'Tom'">Hello {{person}}
                </li>
                <li *ngSwitchDefault>Bye Bye</li>
            </ul>
        </div>
        <br>
        <button class="btn btn-dark" (click)="changeName()">Search</button>
        <br>
        <br>
        <h5><u>NgFor</u></h5>
        <br>
        <div>
            <ul>
                <li *ngFor="let name of tab">{{name}}</li>
            </ul>


        </div>
        <div>
            <table class="table table-dark table-stripped">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">Phone</th>
                        <th scope="col">Adresse</th>
                        <th scope="col">Code postal</th>
                        <th scope="col">Région</th>
                        <th scope="col">Pays</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let u of user; let i = index;">
                        <th scope="row">{{i}}</th>
                        <td>{{u?.name}}</td>
                        <td>{{u?.phone}}</td>
                        <td>{{u?.address}}</td>
                        <td>{{u?.postalZip}}</td>
                        <td>{{u?.region}}</td>
                        <td>{{u?.country}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <br>
        <br>
    </div>
    <br>
    <br>
    <h4>Les directives d'attribut : </h4>
    <br>
    <br>
    <h5><u>NgStyle</u></h5>
    <br>
    <div>
        <p [ngStyle]="{'font-size':valeur?'15px':'40px'} ">Hello tout le monde !!</p>
    </div>
    <br>
    <button class="btn btn-success w-50 " (click)="change() ">{{valeur?"Grand":"Petit"}}</button>
    <br>
    <h5><u>NgClass</u></h5>
    <br>
    <div [ngClass]="alert">
        <h5>Coucou</h5>
    </div>
    <br>

</div>
